Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en productos Modicon de Schneider Electric

Múltiples vulnerabilidades en productos Modicon de Schneider Electric

Fecha de publicación: 
21/05/2019
Importancia: 
5 - Crítica
Recursos afectados: 
  • Modicon M580
  • Modicon M340
  • Modicon Quantum
  • Modicon Premiun
Descripción: 

El investigador, Jared Rittle, de Cisco Talos, junto con Schneider Electric han publicado varias vulnerabilidades de tipo violación de límite de confianza, denegación de servicio, revelación de información, autenticación inadecuada por suplantación, control de acceso incorrecto, entradas no confiables y lectura fuera de límites. Un atacante podría causar una condición de denegación de servicio, acceso sin autorización, provocar un impacto en la confidencialidad, integridad y disponibilidad del dispositivo.

Solución: 
  • Modicon M580: se liberará un parche a lo largo del Q3 de 2019 a través de la nueva versión de firmware 2.90, para algunas de las vulnerabilidades listadas. Para otras, ya existe un parche a partir de la 2.80, por lo que se recomienda actualizar a dicha versión. Existe una vulnerabilidad para la que no hay parche programado. Se deben seguir las siguientes recomendaciones para mitigar las debilidades de Modbus, mientras no existan parches:
    • Implementar segmentación de red y bloquear mediante un firewall todos los accesos no autorizados al puerto 502/TCP.
    • Configurar una comunicación segura siguiendo la siguiente guía.
    • Usar un módulo BMENOC y seguir las instrucciones para configurar la funcionalidad IPsec, tal y como se describe en la siguiente guía.
  • Modicon M340: se liberará un parche a lo largo del Q3 de 2019, a través de la nueva versión de firmware 3.10, para algunas de las vulnerabilidades listadas. Para otras, ya existe un parche a partir de la 3.01, por lo que se recomienda actualizar a dicha versión. Existe una vulnerabilidad para la que no hay parche programado. Se deben seguir las siguientes recomendaciones para mitigar las debilidades de Modbus, mientras no existan parches:
    • Implementar segmentación de red y bloquear mediante un firewall todos los accesos no autorizados al puerto 502/TCP.
    • Configurar un ACL siguiendo las recomendaciones de la siguiente guía.
  • Modicon Premium: se liberará un parche a lo largo del Q1 de 2020, a través de la nueva versión de firmware 3.20, para algunas de las vulnerabilidades listadas. Para otras, no está previsto la liberación de un parche, por lo que se deben seguir las siguientes recomendaciones para mitigar las debilidades de Modbus, mientras no existan parches:
    • Implementar segmentación de red y bloquear mediante un firewall todos los accesos no autorizados al puerto 502/TCP.
    • Configurar un ACL siguiendo las recomendaciones de la siguiente guía.
  • Modicon Quantum: se liberará un parche a lo largo del Q1 de 2020, a través de la nueva versión de firmware 3.60, para algunas de las vulnerabilidades listadas. Para otras, no está previsto la liberación de un parche, por lo que se deben seguir las siguientes recomendaciones para mitigar las debilidades de Modbus mientras no existan parches:
    • Implementar segmentación de red y bloquear mediante un firewall todos los accesos no autorizados al puerto 502/TCP.
    • Configurar un ACL siguiendo las recomendaciones de la siguiente guía.
Detalle: 

Un atacante podría:

  • Causar un acceso no autorizado al realizar un ataque de fuerza bruta en el protocolo Modbus, debido a una violación de los límites de confianza. Se ha reservado el identificador CVE-2018-7846 para esta vulnerabilidad.
  • Provocar una denegación de servicio debido a una verificación incorrecta de la integridad de los datos al enviar un archivo, al leer bloques de memoria con un tamaño no válido, enviar diversos parámetros no válidos, escribir variables fuera de límites y escribir variables de aplicación sensibles a través de Modbus. Se han reservado los identificadores CVE-2018-7849, CVE-2018-7843, CVE-2018-7852, CVE-2018-7853, CVE-2018-7854, CVE-2018-7855, CVE-2018-7856, CVE-2018-7857 y CVE-2019-6807 para esta vulnerabilidad.
  • Originar una escalada de privilegios al llevar a cabo un ataque de fuerza bruta. Se ha reservado el identificador CVE-2018-7842 para esta vulnerabilidad.
  • Mediante control de acceso incorrecto, podría causar una denegación de servicio o la ejecución remota de código (RCE) al sobrescribir los ajustes de configuración. Se han reservado los identificadores CVE-2018-7847 y CVE-2019-6808 para esta vulnerabilidad.
  • Mediante la lectura fuera de límite, podría provocar una divulgación de datos no esperados al leer bloques de memoria específicos. Se ha reservado el CVE-2018-7845 para esta vulnerabilidad.
  • Causar que la información mostrada en el software Unity Pro no se válida, debido a entradas no confiables. Se ha reservado el CVE-2018-7850 para esta vulnerabilidad.
  • Existe una vulnerabilidad de exposición a la información que podría causar la revelación de información SNMP al leer archivos, variables o bloques de memoria en el controlador a través de Modbus. Se han asignado los identificadores CVE-2018-7848, CVE-2019-6806 y CVE-2018-7844.

Encuesta valoración